Foxit PDF RDK

Public Member Functions | Public Attributes | List of all members
PlayerArgs Class Reference
Inheritance diagram for PlayerArgs:

## Public Member Functions
| constructor (doc, screen_annot, rendition, URL, audio_format, player_settings)
| Constructor, with parameters. More...
| Set (doc, screen_annot, rendition, URL, audio_format, player_settings)
| Set values. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| audio_format
| The audio format, such as "audio/wav".
| doc
| The PDFDoc object of the document. More...
| player_settings
| A MediaSettings object.
| rendition
| A Rendition object (either a MediaRendition or a RenditionList). More...
| screen_annot
| A Screen object. More...
| URL
| Either URL or rendition is required, with URL taking precedence.

## Detailed Description

This class represents player args.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

PlayerArgs.constructor | ( | doc | ,
|  | screen_annot | ,
|  | rendition | ,
|  | URL | ,
|  | audio_format | ,
|  | player_settings |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | doc | The PDFDoc object of the document. Required if both annot and rendition are omitted, for example, for URL playback.
  [in] | screen_annot | A Screen object. Required for docked playback unless it is found in the event object or MediaSettings.
  [in] | rendition | A Rendition object (either a MediaRendition or a RenditionList). Required unless rendition is found in the event object or URL is present.
  [in] | URL | Either URL or rendition is required, with URL taking precedence.
  [in] | audio_format | The audio format, such as "audio/wav".
  [in] | player_settings | A MediaSettings object.

## ◆ Set()

PlayerArgs.Set | ( | doc | ,
|  | screen_annot | ,
|  | rendition | ,
|  | URL | ,
|  | audio_format | ,
|  | player_settings |
| ) |  |

Set values.

Parameters

  [in] | doc | The PDFDoc object of the document. Required if both annot and rendition are omitted, for example, for URL playback.
  [in] | screen_annot | A Screen object. Required for docked playback unless it is found in the event object or MediaSettings.
  [in] | rendition | A Rendition object (either a MediaRendition or a RenditionList). Required unless rendition is found in the event object or URL is present.
  [in] | URL | Either URL or rendition is required, with URL taking precedence.
  [in] | audio_format | The audio format, such as "audio/wav".
  [in] | player_settings | A MediaSettings object.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Data Documentation

## ◆ doc

PlayerArgs.doc

The PDFDoc object of the document.

Required if both annot and rendition are omitted, for example, for URL playback.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ rendition

PlayerArgs.rendition

A Rendition object (either a MediaRendition or a RenditionList).

Required unless rendition is found in the event object or URL is present.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ screen_annot

PlayerArgs.screen_annot

A Screen object.

Required for docked playback unless it is found in the "event" or "MediaSettings" of javascript.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.